%global momorel 2
%global qtver 3.3.4
%global kdever 3.3.2
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: Uim Qt/KDE Helper(Toolbar/Applet/SystemTray)
Name: uim-kdehelper
Version: 0.1.0
Release: %{momorel}m
License: GPL
URL: http://uim.freedesktop.org/Software/uim-kdehelper
Group: User Interface/X
Source0: http://freedesktop.org/~kzk/uim-kdehelper/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}, uim, libart_lgpl 
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, uim-devel
BuildPreReq: xorg-x11-devel, fontconfig-devel, freetype2-devel, libart_lgpl-devel
BuildPreReq: zlib-devel, libjpeg-devel, libpng-devel

%description
Qt replacement of toolbar, system tray, applet and candidate window for UIM library.

%prep
%setup -q -n %{name}

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL
%{_bindir}/uim-candwin-qt
%{_bindir}/uim-im-switcher-qt
%{_bindir}/uim-toolbar-qt
%{_bindir}/uim-toolbar-qt-systray
%{_libdir}/kde3/libuimhelperapplet.la
%{_libdir}/kde3/libuimhelperapplet.so
%{_datadir}/apps/kicker/applets/uimhelperapplet.desktop

%changelog
* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-2m)
- remove uim-qt from Requires
- export QTDIR=%%{qtdir} KDEDIR=%%{kdedir}

* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-1m)
- initial package
